#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #ffffff;
  z-index: 999999;
  display: flex;
  justify-content: center;
  align-items: center;
}
.loader-container {
  position: relative;
  width: 100px;
  height: 100px;
}
.loader-circle {
  position: absolute;
  width: 100%;
  height: 100%;
  border: 3px solid #f3f3f3;
  border-top: 3px solid var(--theme-primary);
  border-radius: 50%;
  animation: spin 1s linear infinite;
}
.loader-logo {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50px;
}
.loader-logo img {
  width: 100%;
  height: auto;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Dark Mode Preloader styling */
html.dark #preloader {
  background: #171717 !important;
}

html.dark .loader-circle {
  border-color: #232330 !important;
  border-top-color: var(--theme-primary) !important;
}
